/* */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysLoadFuncs

Arg cPath
 If cPath = '' Then Do
   Say 'Delete files using mask'
   Say 'Subdirectories included'
   Say 'Usage : deltree <file(s)spec>'
   Say 'Example : deltree r:\product\*.ntx'
   Say 'Use with care !'
   Exit
 End
 Signal On Halt

 palka.1 = '-'
 palka.2 = '\'
 palka.3 = '|'
 palka.4 = '/'

 nSecs = Time('R')
 Call CharOut , 'Browsing tree...'
 rc = SysFileTree(cPath, 'aFiles', 'FSO')
 nSecs = Time('E')
 If aFiles.0 = 0 Then Do
   Say 'No matching files found'
   Return 1
 End

 Say 'found ' || aFiles.0 || ' file names in ' || nSecs || ' seconds'
 nSecs = Time('R')
 Call CharOut , 'Processing files...'
 Do iii = 1 To aFiles.0
   iip = iii // 4 + 1 
   Parse Value SysCurPos() With nRow nCol
   kod = SysCurPos(nRow, nCol - 1)
   Call CharOut, palka.iip
   rc = SysFileDelete(aFiles.iii)
   If rc \= 0 Then Do
     Parse Value SysCurPos() With nRow nCol
     kod = SysCurPos(nRow, nCol - 1)
     Say ' '
     Say 'Could not delete ' || aFiles.iii
     Call CharOut , ' '
   End
 End
 Parse Value SysCurPos() With nRow nCol
 kod = SysCurPos(nRow, nCol - 1)
 nSecs = Time('E')
 Say 'Elapsed time : ' || nSecs % 60 || ' min ' || nSecs // 60 || ' sec' 

halt:
 Say ''
 Say 'Exiting...'

Return 1
