/*  */
Arg cPath
 If cPath = '' Then Do
   Say 'Estimate the size of files using mask'
   Say 'Subdirectories included'
   Say 'Usage : size <file(s)spec>'
   Say 'Example : size r:\product\*.ntx'
   Exit
 End
 Signal On Halt

 palka.1 = '-'
 palka.2 = '\'
 palka.3 = '|'
 palka.4 = '/'

 nSecs = Time('R')
 Call CharOut , 'Browsing tree...'
 rc = SysFileTree(cPath, 'aFiles', 'FSO')
 nSecs = Time('E')
 If aFiles.0 = 0 Then Do
   Say 'No matching files found'
   Return 1
 End

 Say 'Elapsed time : ' || nSecs % 60 || ' min '  ,
     || Format(nSecs // 60, 2, 0) || ' sec' 
 Say 'Found ' || aFiles.0 || ' files' 
 Call CharOut , 'Retrieving size...'
 nBytesAll = 0
 Do iii = 1 To aFiles.0
   iip = iii // 4 + 1 
   Parse Value SysCurPos() With nRow nCol
   kod = SysCurPos(nRow, nCol - 1)
   Call CharOut, palka.iip
   nBytes = Stream(aFiles.iii, 'c', 'query size')
   nBytesAll = nBytesAll + nBytes
 End
 Parse Value SysCurPos() With nRow nCol
 kod = SysCurPos(nRow, nCol - 1)
 nSecs = Time('E')
 Say ''
 Say 'Size is ' || nBytesAll || ' bytes'
 Say 'Elapsed time : ' || nSecs % 60 || ' min '  ,
     || Format(nSecs // 60, 2, 0) || ' sec' 

halt:
 Say ''
 Say 'Exiting...'
